Bug 192402 - shouldn't require 'cups'
shouldn't require 'cups'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgnomecups (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
: 187138 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 09:19 EDT by Tim Waugh
Modified: 2013-03-05 22:45 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.2.3-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-05-19 09:19:28 EDT
Description of problem:
The libgnomecups package surely only requires the CUPS libraries, not the main
'cups' package (i.e. the scheduler).

This causes problems when trying to remove cups (but not cups-libs).

Version-Release number of selected component (if applicable):
100%

How reproducible:
100%

Steps to Reproduce:
1. rpm -e cups
  
Actual results:
        cups is needed by (installed) libgnomecups-0.2.2-3.2.1.i386

Expected results:
Package is removed.
Comment 1 Tim Waugh 2006-05-19 09:25:57 EDT
*** Bug 187138 has been marked as a duplicate of this bug. ***
Comment 2 Tim Waugh 2006-12-15 07:08:10 EST
Still present in FC6.
Comment 3 Bug Zapper 2008-04-03 22:56:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Tim Waugh 2008-04-04 05:27:36 EDT
Still present in Fedora 8.
Comment 5 Tim Waugh 2008-05-15 11:18:03 EDT
Still present in Fedora 9.  This is really easy to fix.
Comment 6 Bug Zapper 2008-11-26 01:58:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Miroslav Lichvar 2009-04-13 10:07:41 EDT
Ping?

The same may apply to the dbus dependency.
Comment 8 Bug Zapper 2009-06-09 18:10:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tim Waugh 2009-06-10 04:25:44 EDT
Still not fixed in Fedora 11.  This is *easy* to fix.
Comment 10 Fedora Update System 2009-06-11 22:06:52 EDT
libgnomecups-0.2.3-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libgnomecups-0.2.3-6.fc11
Comment 11 Fedora Update System 2009-06-15 21:39:53 EDT
libgnomecups-0.2.3-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgnomecups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6105
Comment 12 Fedora Update System 2009-06-30 17:22:20 EDT
libgnomecups-0.2.3-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.